Черный экран Linux Mint 19.2 на Ryzen5 и Vega

В ходе установки системы возникли проблемы? Сложно сделать базовые настройки? Тогда вам сюда!
Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот

Автор темы
L00der
Сообщения: 4
Зарегистрирован: 14 сен 2019, 15:08

Черный экран Linux Mint 19.2 на Ryzen5 и Vega

Сообщение L00der » 14 сен 2019, 15:12

Доброго времени суток уважаемые форумчане.

Пару месяцев назад перешел на Linux Ubuntu, решил поставить жене на ноут Linux Mint 19.2

Установка прошла успешно, пытаюсь загрузить систему, в начале отображается GRUB меню, но когда пытаешься загрузить в любом режиме ОС на ноутбуке отображается только черный экран.

Пытался менять quit splash на nomodeset в разных вариантах но ничего не помогает.

На одном из форумов кто то подсказал добавить еще один параметр, к сожалению не запомнил как он называется, что то связанное с AMD. После этого я увидел логи, которые заканчивались следующими ошибками:

Код: Выделить всё

amdgpu 0000:01:00.0 Invalid PCI ROM header signature
[drm.amdgpu_get_bios [amdgpu]] *ERROR* Unable to locate a BIOS ROM
amdgpu 0000:01:00.0 Fatal error during GPU init
[drm] amdgpu: finishing device
[TTM] Memory type 2 has not bean initialized
amdgpu: probe of 000:01:00.0 failed with error -22
fb: switching to amdgpudrmfb from EFI VGA
Подскажите пожалуйста, что с этим можно сделать?

Аватара пользователя

rogoznik
Сообщения: 6125
Зарегистрирован: 27 июн 2017, 10:36
Решено: 69
Откуда: Нижний Тагил
Благодарил (а): 326 раз
Поблагодарили: 1114 раз

Черный экран Linux Mint 19.2 на Ryzen5 и Vega

Сообщение rogoznik » 14 сен 2019, 15:15

Выключи Secury boot в UEFI
ИзображениеИзображение


Автор темы
L00der
Сообщения: 4
Зарегистрирован: 14 сен 2019, 15:08

Черный экран Linux Mint 19.2 на Ryzen5 и Vega

Сообщение L00der » 14 сен 2019, 15:40

darkfenix писал(а):
14 сен 2019, 15:15
Выключи Secury boot в UEFI
Уже выключено

Аватара пользователя

rogoznik
Сообщения: 6125
Зарегистрирован: 27 июн 2017, 10:36
Решено: 69
Откуда: Нижний Тагил
Благодарил (а): 326 раз
Поблагодарили: 1114 раз

Черный экран Linux Mint 19.2 на Ryzen5 и Vega

Сообщение rogoznik » 14 сен 2019, 16:03

L00der писал(а):
14 сен 2019, 15:40
Уже выключено
ОС установлена с включенны или выключенным?
ИзображениеИзображение


Автор темы
L00der
Сообщения: 4
Зарегистрирован: 14 сен 2019, 15:08

Черный экран Linux Mint 19.2 на Ryzen5 и Vega

Сообщение L00der » 14 сен 2019, 16:11

darkfenix писал(а):
14 сен 2019, 16:03
L00der писал(а):
14 сен 2019, 15:40
Уже выключено
ОС установлена с включенны или выключенным?
Пробовал и так и так.
В начале установил, когда был включен. Потом переустановил с выключенным.

Мне кажется проблема все же с драйвером amdgpu, судя по логам.
Можно их как то отключить/удалить через GRUB консоль?
Либо каким то другим способом?

Аватара пользователя

slant
Сообщения: 2101
Зарегистрирован: 21 июн 2017, 15:09
Решено: 36
Благодарил (а): 18 раз
Поблагодарили: 901 раз

Черный экран Linux Mint 19.2 на Ryzen5 и Vega

Сообщение slant » 14 сен 2019, 18:45

На 100% не уверен, но кажись этому видео нужно ядро как минимум 4.19. А в минте даже 19.2 - только 4.15 по умолчанию. Там поддержки еще нету.


Автор темы
L00der
Сообщения: 4
Зарегистрирован: 14 сен 2019, 15:08

Черный экран Linux Mint 19.2 на Ryzen5 и Vega

Сообщение L00der » 14 сен 2019, 20:46

slant писал(а):
14 сен 2019, 18:45
На 100% не уверен, но кажись этому видео нужно ядро как минимум 4.19. А в минте даже 19.2 - только 4.15 по умолчанию. Там поддержки еще нету.
Спасибо за предположении, постараюсь его проверить

Вернуться в «Установка Linux Mint»